@import "variables/colors";
@import "variables/font";

.offer-info {
  background-color: $neutral-10;
  display: grid;
  grid-template-columns: 1fr 1fr;
  &__details {
    display: grid;
    grid-template-columns: 50px 1fr;
    gap: 1rem;
    .icon {
      margin: 0 auto;
    }
    .details {
      display: grid;
      gap: 9px;
      &__offer-name {
        color: $neutral-80;
        font-family: $roboto-bold;
        margin: 0;
      }
      &__id {
        padding: 0;
        margin: 0;
        color: $neutral-80;
        font-size: 12px;
      }
      &__cards {
        display: flex;
        gap: 10px;
        margin-bottom: 10px;
        .card {
          font-family: $roboto-bold;
          border-radius: 6px;
          padding: 3px 5px;
          display: inline-flex;
          text-transform: uppercase;
          gap: 6px;
          align-items: center;
          width: auto;

          &.enabled {
            background-color: $main-indigo-10;
            border: 2px solid $main-indigo-60;
            color: $main-indigo-60;
          }

          &.draft {
            background-color: $warning-10;
            border: 2px solid $warning-60;
            color: $warning-60;
          }

          &.disabled {
            background-color: $neutral-10;
            border: 2px solid $neutral-60;
            color: $neutral-60;
          }
        }
      }
    }
  }
  &__dates {
    display: flex;
    flex-direction: column;
    gap: 5px;
    .item {
      padding: 0;
      margin: 0;
      text-align: right;
      &__title,
      &__description {
        font-size: 16px;
      }
    }
  }
}
